> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax estimates

> Get a summary of a user's tax obligations; also useful for displaying a real-time P&L



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/taxes/getEstimates
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxes/getEstimates:
    post:
      tags:
        - Taxes
      summary: Get tax estimates
      description: >-
        Get a summary of a user's tax obligations; also useful for displaying a
        real-time P&L
      operationId: postGetEstimates
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PostGetEstimatesParamV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USTaxEstimatesDTOV5ForSerialization'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PostGetEstimatesParamV5:
      type: object
      properties:
        period:
          type: string
          description: The period to receive summarized data for
          example: YTD
          enum:
            - ANNUAL_PROJECTED
            - YTD
            - LAST_YEAR
        userTaxSetup:
          $ref: '#/components/schemas/PostGetEstimatesUserTaxSetupDTOV5'
    USTaxEstimatesDTOV5ForSerialization:
      type: object
      properties:
        country:
          type: string
          description: The ISO 3166-1 alpha-3 country code
        state:
          type: string
          description: >-
            The two-character state (or Province) abbreviation for which tax
            needs to be calculated on
        year:
          type: integer
          description: Tax year for which tax needs to be calculated on
          format: int32
        federalFilingStatus:
          type: string
          description: The tax filing status code at the federal level
          example: S
          enum:
            - S
            - M
            - MS
            - H
            - QW
        stateFilingStatus:
          type: string
          description: The tax filing status code at the state level
          example: S
          enum:
            - S
            - M
            - MS
            - H
            - QW
        w2Income:
          type: number
          description: >-
            The year-to-date W2 income total for which tax needs to be
            calculated on
        businessIncome:
          type: number
          description: >-
            The year-to-date business income for which tax needs to be
            calculated on
        expenses:
          type: number
          description: >-
            The year-to-date actual expense total (deductible and
            non-deductible) for P&L purposes
        deductibleExpenses:
          type: number
          description: >-
            The year-to-date deductible expense total for which tax needs to be
            calculated on
        deductibleMileageExpenses:
          type: number
          description: The year-to-date deductible expense total originating from mileage
        deductibleNonMileageExpenses:
          type: number
          description: >-
            The year-to-date deductible expense total not originating from
            mileage
        homeOfficeDeduction:
          type: number
          description: Home office deduction
        selfEmploymentDeduction:
          type: number
          description: Self employment deduction
        adjustedGrossIncome:
          type: number
          description: Adjusted gross income
        overallTax:
          type: number
          description: Overall tax amount
        overallTaxSavings:
          type: number
          description: Overall amount saved by tracking expenses with Tight
        overallTaxUnpaid:
          type: number
          description: Remaining tax amount to be paid
        federalTaxUnpaid:
          type: number
          description: Remaining federal tax amount to be paid
        stateTaxUnpaid:
          type: number
          description: Remaining state tax amount to be paid
        annualPaymentDueDate:
          type: string
          description: Yearly due date for this year's tax season
          format: date-time
        afterTaxIncome:
          type: number
          description: Income remaining after tax collected
        otherIncome:
          type: number
          description: >-
            Total taxable income from sources other than wages, tips, and
            business
        federalTax:
          $ref: '#/components/schemas/FederalTaxDTOV5'
        stateTax:
          $ref: '#/components/schemas/StateTaxDTOV5'
        quarterlyEstimates:
          $ref: '#/components/schemas/QuarterlyTaxesDTOV3'
    PostGetEstimatesUserTaxSetupDTOV5:
      type: object
      properties:
        taxCountryCode:
          type: string
          description: The ISO 3166-1 alpha-3 country code
        federalFilingStatus:
          type: string
          description: The Tax Federal Filing Status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
        stateFilingStatus:
          type: string
          description: The Tax State Filing Status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
        taxState:
          type: string
          description: >-
            The two-character State (or Province) abbreviation for which tax
            needs to be calculated on
          example: DC
        annualW2Income:
          type: number
          description: The annual W-2 income total for which tax needs to be calculated on
          example: 10000
        tipIncome:
          type: number
          description: >-
            The year-to-date amount of w2 income that the filer has earned from
            tips
          example: 5000
        overtimeIncome:
          type: number
          description: >-
            The year-to-date amount of w2 income that the filer has earned from
            overtime
          example: 3000
        isSetupComplete:
          type: boolean
          description: Whether or not the current user's tax profile is complete
          readOnly: true
        useW2Withholding:
          type: boolean
          description: >-
            Should be set to true if the user wants to specify their own W-2
            Withholding amounts
          example: true
        federalW2Withholding:
          type: number
          description: >-
            Federal W-2 Withholding amount, if the user wants to specify their
            own custom amount
          example: 1000.51
        stateW2Withholding:
          type: number
          description: >-
            State W-2 Withholding amount, if the user wants to specify their own
            custom amount
          example: 1000.51
        numExemptions:
          type: integer
          description: The number of state personal exemptions the tax filer qualifies for
          format: int32
          example: 1
        useHomeOfficeDeduction:
          type: boolean
          description: >-
            If the user wants to use the Simplified Home Office Deduction, this
            should be set to true.
          example: true
        homeOfficeArea:
          type: number
          description: >-
            Size of home office in sq. ft; required if using the Simplified Home
            Office Deduction
          example: 250.5
        vehicleBusinessPercent:
          type: number
          description: >-
            Canadian users can provide their own business vehicle percentage
            (instead of using the mileage numbers to determine percentage)
          example: 49.9
        useMileageDeduction:
          type: boolean
          description: >-
            The IRS dictates that you can only use the Standard Mileage Rate or
            Actual Auto Expenses. Set this to true if the user will be using the
            Standard Mileage Rate
          example: false
        useUserEstimatedBusinessMileage:
          type: boolean
          description: >-
            If the user wants to use their own annual business mileage estimate,
            this should be set to true.
        userEstimatedBusinessMileage:
          type: number
          description: >-
            Annual business mileage estimate, in miles; required if using
            user-estimated business mileage
          example: 1000
        useUserEstimatedBusinessExpenses:
          type: boolean
          description: >-
            If the user wants to use their own annual business expenses
            estimate, this should be set to true.
        userEstimatedBusinessExpenses:
          type: number
          description: >-
            Annual business expenses estimate, required if using user-estimated
            business expenses
          example: 551.76
        useUserEstimatedBusinessRevenue:
          type: boolean
          description: >-
            If the user wants to use their own annual business income estimate,
            this should be set to true.
        userEstimatedBusinessRevenue:
          type: number
          description: >-
            Annual business income estimate, required if using user-estimated
            business income
          example: 551.76
      description: >-
        Override of the <a href = "/reference/getusertaxsetup">user's tax
        profile</a>
    FederalTaxDTOV5:
      type: object
      properties:
        w2MarginalTaxRate:
          type: number
          description: Marginal tax rate for W-2 income
        businessMarginalTaxRate:
          type: number
          description: Marginal tax rate for self-employed income
        adjustedGrossIncome:
          type: number
          description: Adjusted gross income
        businessIncomeDeduction:
          type: number
          description: Deduction amount applied to business income
        businessIncomeDeductionEffectiveRate:
          type: number
          description: Effective rate of deduction applied to business income
        federalDeduction:
          type: number
          description: Deduction amount applied to federal taxes
        qualifiedTipDeduction:
          type: number
          description: Qualified tip deduction
        qualifiedOvertimeDeduction:
          type: number
          description: Qualified overtime deduction
        taxableIncome:
          type: number
          description: Federal taxable income
        federalEffectiveTaxRate:
          type: number
          description: Effective tax rate on federal taxable income
        federalTaxAmount:
          type: number
          description: Tax on federal taxable income
        medicareSurtax:
          $ref: '#/components/schemas/MedicareSurtaxDTOV5'
        selfEmploymentTax:
          $ref: '#/components/schemas/SelfEmploymentTaxDTOV5'
        tentativeMinimumTax:
          type: number
          description: Tentative minimum tax
        alternativeMinimumTax:
          type: number
          description: Alternative minimum tax
        taxAmountWithoutTaxCredit:
          type: number
          description: Federal tax amount prior to any tax credits being applied
        dependentTaxCredit:
          type: number
          description: >-
            Total amount of federal dependent tax credits that the user
            qualifies for
        totalTaxCredit:
          type: number
          description: Total of all federal tax credits that the user qualifies for
        totalTaxCreditAppliedToTax:
          type: number
          description: Total of all federal tax credits applied
        taxBeforeWithholding:
          type: number
          description: Total taxes due federally before withholding is applied
        effectiveTaxRateBeforeWithholding:
          type: number
          description: >-
            Effective tax rate from all taxes due federally before withholding
            is applied including medicare and social security
        withholdingAppliedToTax:
          type: number
          description: Amount of withholding applied to taxes
        taxAmount:
          type: number
          description: Total taxes due federally
        effectiveTaxRate:
          type: number
          description: >-
            Effective tax rate from all taxes due federally including medicare
            and social security
        employmentTax:
          $ref: '#/components/schemas/EmploymentTaxDTOV5'
    StateTaxDTOV5:
      type: object
      properties:
        w2MarginalTaxRate:
          type: number
          description: Marginal tax rate for W-2 income
        businessMarginalTaxRate:
          type: number
          description: Marginal tax rate for self-employed income
        adjustedGrossIncome:
          type: number
          description: Adjusted gross income
        stateDeduction:
          type: number
          description: Deduction amount applied to state taxes
        taxableIncome:
          type: number
          description: State taxable income
        preCreditEffectiveTaxRate:
          type: number
          description: Effective tax rate before any credits are applied
        taxAmountWithoutTaxCredit:
          type: number
          description: State tax amount prior to any tax credits being applied
        totalTaxCredit:
          type: number
          description: Total of all state tax credits that the user qualifies for
        totalTaxCreditAppliedToTax:
          type: number
          description: Total of all state tax credits applied
        taxBeforeWithholding:
          type: number
          description: Taxes due to the state before withholding
        effectiveTaxRateBeforeWithholding:
          type: number
          description: Effective tax rate of taxes due to the state before withholding
        withholdingAppliedToTax:
          type: number
          description: Amount of withholding applied to taxes
        taxAmount:
          type: number
          description: Total taxes due to the state
        effectiveTaxRate:
          type: number
          description: Effective tax rate of taxes due to the state
    QuarterlyTaxesDTOV3:
      type: object
      properties:
        q1:
          $ref: '#/components/schemas/QuarterlyTax'
        q2:
          $ref: '#/components/schemas/QuarterlyTax'
        q3:
          $ref: '#/components/schemas/QuarterlyTax'
        q4:
          $ref: '#/components/schemas/QuarterlyTax'
    MedicareSurtaxDTOV5:
      type: object
      properties:
        investmentIncomeMedicareSurtax:
          type: number
          description: Additional medicare tax owed on investment income
        earnedIncomeMedicareSurtax:
          type: number
          description: Additional medicare tax owed on earned income
    SelfEmploymentTaxDTOV5:
      type: object
      properties:
        socialSecurityTaxableIncome:
          type: number
          description: Taxable income for social security
        socialSecurityEffectiveTaxRate:
          type: number
          description: Social security effective tax rate
        socialSecurityTax:
          type: number
          description: Social security tax amount due on self-employment income
        medicareTaxableIncome:
          type: number
          description: Taxable income for medicare
        medicareEffectiveTaxRate:
          type: number
          description: Medicare effective tax rate
        medicareTax:
          type: number
          description: Medicare tax amount due on self-employment income
        taxAmount:
          type: number
          description: Overall self-employment tax amount
    EmploymentTaxDTOV5:
      type: object
      properties:
        socialSecurityTaxableIncome:
          type: number
          description: Taxable income for social security
        socialSecurityEffectiveTaxRate:
          type: number
          description: Social security effective tax rate
        socialSecurityTax:
          type: number
          description: Social security tax estimate paid by employer
        medicareTaxableIncome:
          type: number
          description: Taxable income for medicare
        medicareEffectiveTaxRate:
          type: number
          description: Medicare effective tax rate
        medicareTax:
          type: number
          description: Medicare tax estimate paid by employer
        taxAmount:
          type: number
          description: Overall employment tax amount
    QuarterlyTax:
      type: object
      properties:
        dueDate:
          type: string
          description: Due date for this quarter's payment
          format: date
        federalTax:
          $ref: '#/components/schemas/TaxDetail'
        stateTax:
          $ref: '#/components/schemas/TaxDetail'
    TaxDetail:
      type: object
      properties:
        taxOwed:
          type: number
          description: Tax amount owed before considering payments
        taxPaid:
          type: number
          description: Tax amount paid
        paymentsAllocatedFromPast:
          type: number
          description: Amount of payment rolled over from past quarters
        paymentsRolledOverToFuture:
          type: boolean
          description: >-
            Whether payments from this quarter are rolled over to future
            quarters
        paymentsBalance:
          type: number
          description: Remaining tax amount owed
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````